/**
 * Filters out commented lines and converts every line to a
 * JS object key–value pair with multiple values made into an array.
 *
 * @param {[key: string]: string | string[]} data – the raw WHOIS response data
 */
export declare const parseWhois: (data: string) => {
    [key: string]: string | string[];
};
type OneOrMultiple<T> = T | T[];
export interface WhoisResult {
    domain?: OneOrMultiple<string>;
    expiration?: OneOrMultiple<Date>;
    created?: OneOrMultiple<Date>;
    updated?: OneOrMultiple<Date>;
    status?: OneOrMultiple<string>;
    registrar?: OneOrMultiple<string>;
    registrarIANAId?: OneOrMultiple<string>;
    registrarAbuseContactEmail?: OneOrMultiple<string>;
    registrarAbuseContactPhone?: OneOrMultiple<string>;
    nameServer?: OneOrMultiple<string>;
    DNSSEC?: OneOrMultiple<string>;
    exists: boolean;
    /** this is a string | string[] */
    [key: string]: unknown;
}
/**
 * Parses given raw WHOIS data to JS object form
 *
 * @param {string} data – raw WHOIS data to parse from
 */
declare const _default: (data: string) => WhoisResult;
export default _default;
